<div class="center">
  <form [formGroup]="getBankCardForm" (ngSubmit)="onGetBankCardById()">
    <mat-form-field appearance="legacy">
      <mat-label>Enter bankcard id</mat-label>
      <input type="number" matInput formControlName="bankCardId">
      <mat-error *ngIf="bankCardIdControl.hasError('required')">Please enter bankcard id</mat-error>
    </mat-form-field>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!getBankCardForm.valid">Show Bankcard</button>
    </div>
  </form>
</div>
<div *ngIf="bankCard">
  This is the bankcard with id {{ bankCard.id }}: {{ bankCard.cardNumber }} {{ bankCard.holderName }} {{ bankCard.expiryDate }} {{ bankCard.issuingBank }}
  and associated account: {{ bankCard.bankAccount.id }} {{ bankCard.bankAccount.iban }} {{ bankCard.bankAccount.holderName }} {{ bankCard.bankAccount.balance }}
</div>
